## voms-api-java 2.0.8

=== Makefile ===
name=voms-api-java
spec=spec/$(name).spec
version=$(shell grep "Version:" $(spec) | sed -e "s/Version://g" -e "s/[ \t]*//g")
release=1
rpmbuild_dir=$(shell pwd)/rpmbuild
stage_dir=dist
bc_version=1.45
settings_file=src/config/emi-build-settings.xml

.PHONY: stage etics clean rpm

all: 	dist rpm

prepare-spec:
		sed -e 's#@@BUILD_SETTINGS@@#$(settings_file)#g' -e 's#@@BC_VERSION@@#$(bc_version)#g' \
			spec/voms-api-java.spec.in > spec/voms-api-java.spec
clean:	
		rm -rf target $(rpmbuild_dir) tgz RPMS dir spec/voms-api-java.spec

dist:   prepare-spec
		mvn -B -s $(settings_file) -Dbouncycastle.version=$(bc_version) assembly:assembly

rpm:		
		mkdir -p 	$(rpmbuild_dir)/BUILD $(rpmbuild_dir)/RPMS \
					$(rpmbuild_dir)/SOURCES $(rpmbuild_dir)/SPECS \
					$(rpmbuild_dir)/SRPMS

		cp target/$(name)-$(version)-src.tar.gz $(rpmbuild_dir)/SOURCES/$(name)-$(version).tar.gz
		rpmbuild --nodeps -v -ba $(spec) --define "_topdir $(rpmbuild_dir)" 

etics: 	dist rpm
		mkdir -p tgz RPMS
		cp target/*.tar.gz tgz
		cp -r $(rpmbuild_dir)/RPMS/* $(rpmbuild_dir)/SRPMS/* RPMS

stage:	 
	mkdir -p $(stage_dir)
	
	for r in $(shell find $(rpmbuild_dir)/RPMS -name '*.rpm') ; do \
		echo "Istalling `basename $$r` in $(stage_dir)..."; \
		pushd . ; cp $$r $(stage_dir); cd $(stage_dir); \
		rpm2cpio `basename $$r` | cpio -idm; \
		rm `basename $$r`; popd; \
	done

=== debian/changelog ===
voms-api-java (2.0.8-2) unstable; urgency=low

  * Don't use maven install target (Closes: #684809)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 14 Aug 2012 13:20:48 +0200

voms-api-java (2.0.8-1) unstable; urgency=low

  * Update to version 2.0.8 (EMI 2 version)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 27 May 2012 13:15:00 +0200

voms-api-java (2.0.7-1) unstable; urgency=low

  * Initial release (Closes: #673523)
  * Add maven repo metadata (Closes: #656312)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 18 May 2012 17:43:52 +0200

=== debian/control ===
Source: voms-api-java
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, junit, libbcprov-java, libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
Standards-Version: 3.9.3
Section: java
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms-api-java
Homepage: https://wiki.italiangrid.it/VOMS

Package: libvoms-api-java-java
Section: java
Architecture: all
Depends: ${misc:Depends}, libbcprov-java, libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
Replaces: libvomsjapi-java (<< 2.0.7), libvomsjapi-java-gcj (<< 2.0.7)
Breaks: libvomsjapi-java (<< 2.0.7)
Provides: libvomsjapi-java
Description: Virtual Organization Membership Service Java API
 The Virtual Organization Membership Service (VOMS) is an attribute authority
 which serves as central repository for VO user authorization information,
 providing support for sorting users into group hierarchies, keeping track of
 their roles and other attributes in order to issue trusted attribute
 certificates and SAML assertions used in the Grid environment for
 authorization purposes.
 .
 This package provides a java client API for VOMS.

Package: libvoms-api-java-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libvomsjapi-java-doc (<< 2.0.7)
Provides: libvomsjapi-java-doc
Description: Virtual Organization Membership Service Java API Documentation
 Virtual Organization Membership Service (VOMS) Java API Documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = voms-api-java
version = 2.0.8

configure: configure-stamp

configure-stamp:
	dh_testdir
	mh_patchpom -plib$(name)-java -k pom.xml
	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	debian/mvn-debian resources:resources compiler:compile jar:jar \
		resources:testResources compiler:testCompile surefire:test \
		javadoc:aggregate
	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -rf target

	[ -r pom.xml.save ] && mv pom.xml.save pom.xml || :

	rm -f build-stamp configure-stamp

	mh_clean
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	mh_installjar -plib$(name)-java pom.xml -l target/$(name)-$(version).jar
	mh_installpom -plib$(name)-java pom.xml
	ln -s $(name)-$(version).jar debian/lib$(name)-java/usr/share/java/vomsjapi-$(version).jar
	ln -s $(name).jar debian/lib$(name)-java/usr/share/java/vomsjapi.jar
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  if [ -d $(name) ]; then \
	    echo "Please remove existing directory '$(name)'" ; \
	    exit 1 ; \
	  fi ; \
	  echo "Fetching upstream git version" ; \
	  git clone git://github.com/italiangrid/$(name).git ; \
	  ( cd $(name) ; \
	  git archive --format tar --prefix $(name)-$(version)/ \
	    `echo $(version) | tr "." "_"` | \
	    gzip - > ../$(name)_$(version).orig.tar.gz ) ; \
	  echo "Cleaning up." ; \
	  rm -rf $(name) ; \
	fi

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure get-orig-source install

## voms-api-java 2.0.9

=== debian/changelog ===
voms-api-java (2.0.9-1) unstable; urgency=low

  * Update to version 2.0.9

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Dec 2012 13:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: voms-api-java
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, junit, libbcprov-java, libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, junit, libbcprov-java, libcommons-cli-java, libcommons-io-java, libcommons-lang-java, liblog4j1.2-java
 Standards-Version: 3.9.3
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 name = voms-api-java
-version = 2.0.8
+version = 2.0.9
 
 configure: configure-stamp

## voms-api-java 2.0.10

=== Makefile ===
name=voms-api-java
spec=spec/$(name).spec
version=$(shell grep "Version:" $(spec) | sed -e "s/Version://g" -e "s/[ \t]*//g")
pom=pom.xml
pom_version=$(shell grep "<version>" $(pom) | head -1 | sed -e 's/<version>//g' -e 's/<\/version>//g' -e "s/[ \t]*//g")
release=1
tarbuild_dir=$(shell pwd)/tarbuild
rpmbuild_dir=$(shell pwd)/rpmbuild
bc_version=1.45
#mvn_settings=-s src/config/emi-build-settings.xml

.PHONY: clean rpm prepare-sources prepare-spec

all: 	dist rpm

prepare-sources: prepare-spec
		rm -rf 	$(tarbuild_dir)
		mkdir -p $(tarbuild_dir)/$(name)
		cp -r AUTHORS LICENSE Makefile README.md pom.xml spec src $(tarbuild_dir)/$(name)
		cd $(tarbuild_dir) && tar cvzf $(tarbuild_dir)/$(name)-$(version).tar.gz $(name)
		
prepare-spec:
		sed -e 's#@@MVN_SETTINGS@@#$(mvn_settings)#g' \
			-e 's#@@BC_VERSION@@#$(bc_version)#g' \
			-e 's#@@POM_VERSION@@#$(pom_version)#g' \
			spec/voms-api-java.spec.in > spec/voms-api-java.spec
clean:	
		rm -rf target $(rpmbuild_dir) $(tarbuild_dir) tgz RPMS dir spec/voms-api-java.spec

dist:   prepare-sources

rpm:		
		mkdir -p 	$(rpmbuild_dir)/BUILD $(rpmbuild_dir)/RPMS \
					$(rpmbuild_dir)/SOURCES $(rpmbuild_dir)/SPECS \
					$(rpmbuild_dir)/SRPMS

		cp $(tarbuild_dir)/$(name)-$(version).tar.gz $(rpmbuild_dir)/SOURCES/$(name)-$(version).tar.gz
		rpmbuild --nodeps -v -ba $(spec) --define "_topdir $(rpmbuild_dir)"

=== debian/changelog ===
voms-api-java (2.0.10-3) unstable; urgency=medium

  * Adjust maven plugin versions (compiler, javadoc) (Closes: #739531)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 20 Feb 2014 10:48:38 +0100

voms-api-java (2.0.10-2) unstable; urgency=low

  * Disable CRL tests - the CRL in the sources has expired (Closes: #726229)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 14 Oct 2013 16:57:04 +0200

voms-api-java (2.0.10-1) unstable; urgency=low

  * Update to version 2.0.10
  * Acknowledge NMU - thanks to Emmanuel Bourg for the bouncycastle port

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Aug 2013 15:38:15 +0200

voms-api-java (2.0.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added a patch to compile against BouncyCastle 1.48 (Closes: #713204)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 14 Jul 2013 01:28:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: voms-api-java
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, junit, libbcprov-java, libcommons-cli-java, libcommons-io-java, libcommons-lang-java, liblog4j1.2-java
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, libsurefire-java, libbcprov-java (>= 1.48), libbcpkix-java (>= 1.48), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Standards-Version: 3.9.5
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms-api-java
@@ -11,7 +11,7 @@
 Package: libvoms-api-java-java
 Section: java
 Architecture: all
-Depends: ${misc:Depends}, libbcprov-java, libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Depends: ${misc:Depends}, libbcprov-java (>= 1.48), libbcpkix-java (>= 1.48), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
 Replaces: libvomsjapi-java (<< 2.0.7), libvomsjapi-java-gcj (<< 2.0.7)
 Breaks: libvomsjapi-java (<< 2.0.7)
 Provides: libvomsjapi-java

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 name = voms-api-java
-version = 2.0.9
+version = 2.0.10
 
 configure: configure-stamp
 
@@ -63,22 +63,4 @@
 	dh_md5sums
 	dh_builddeb
 
-get-orig-source:
-	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
-	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
-	else \
-	  if [ -d $(name) ]; then \
-	    echo "Please remove existing directory '$(name)'" ; \
-	    exit 1 ; \
-	  fi ; \
-	  echo "Fetching upstream git version" ; \
-	  git clone git://github.com/italiangrid/$(name).git ; \
-	  ( cd $(name) ; \
-	  git archive --format tar --prefix $(name)-$(version)/ \
-	    `echo $(version) | tr "." "_"` | \
-	    gzip - > ../$(name)_$(version).orig.tar.gz ) ; \
-	  echo "Cleaning up." ; \
-	  rm -rf $(name) ; \
-	fi
-
-.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure get-orig-source install
+.PHONY: build build-arch build-indep binary binary-arch binary-indep clean configure install

## voms-api-java 3.0.3

=== debian/changelog ===
voms-api-java (3.0.3-1) unstable; urgency=medium

  * Update to version 3.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Jun 2014 23:51:02 +0200

voms-api-java (3.0.2-1) unstable; urgency=medium

  * Update to version 3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 14 Mar 2014 13:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: voms-api-java
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper, maven-repo-helper, libmaven-compiler-plugin-java, libmaven-assembly-plugin-java, libmaven-javadoc-plugin-java, libsurefire-java, libbcprov-java (>= 1.48), libbcpkix-java (>= 1.48), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Build-Depends: debhelper (>> 5), maven-debian-helper (>= 1.6.7), maven-repo-helper, junit4, libmaven-assembly-plugin-java, libmaven-compiler-plugin-java, libmaven-javadoc-plugin-java, libmaven-cobertura-plugin-java, libjcip-annotations-java, libmockito-java, libcanl-java, libbcpkix-java (>= 1.47)
 Standards-Version: 3.9.5
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
@@ -11,7 +11,7 @@
 Package: libvoms-api-java-java
 Section: java
 Architecture: all
-Depends: ${misc:Depends}, libbcprov-java (>= 1.48), libbcpkix-java (>= 1.48), libcommons-cli-java, libcommons-lang-java, liblog4j1.2-java
+Depends: ${misc:Depends}, libcanl-java, libbcpkix-java (>= 1.47)
 Replaces: libvomsjapi-java (<< 2.0.7), libvomsjapi-java-gcj (<< 2.0.7)
 Breaks: libvomsjapi-java (<< 2.0.7)
 Provides: libvomsjapi-java

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 name = voms-api-java
-version = 2.0.10
+version = 3.0.3
 
 configure: configure-stamp
 
@@ -19,9 +19,7 @@
 
 build-stamp: configure-stamp
 	dh_testdir
-	debian/mvn-debian resources:resources compiler:compile jar:jar \
-		resources:testResources compiler:testCompile surefire:test \
-		javadoc:aggregate
+	mvn-debian package javadoc:aggregate
 	touch $@
 
 clean:
@@ -53,8 +51,6 @@
 	dh_installchangelogs
 	mh_installjar -plib$(name)-java pom.xml -l target/$(name)-$(version).jar
 	mh_installpom -plib$(name)-java pom.xml
-	ln -s $(name)-$(version).jar debian/lib$(name)-java/usr/share/java/vomsjapi-$(version).jar
-	ln -s $(name).jar debian/lib$(name)-java/usr/share/java/vomsjapi.jar
 	dh_link
 	dh_compress
 	dh_fixperms

## voms-api-java 3.0.5

=== debian/changelog ===
voms-api-java (3.0.5-1) unstable; urgency=medium

  * Update to version 3.0.5
  * Rebase patches (and fix some deprecation warnings)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 17 Dec 2014 15:44:24 +0100

voms-api-java (3.0.4-1) unstable; urgency=medium

  * Update to version 3.0.4
  * Drop patch voms-api-java-timezone-dep-test.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 19 Nov 2014 23:41:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: voms-api-java
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper (>= 1.6.7), maven-repo-helper, junit4, libmaven-assembly-plugin-java, libmaven-compiler-plugin-java, libmaven-javadoc-plugin-java, libmaven-cobertura-plugin-java, libjcip-annotations-java, libmockito-java, libcanl-java, libbcpkix-java (>= 1.47)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>> 5), maven-debian-helper (>= 1.6.7), maven-repo-helper, junit4, libmaven-assembly-plugin-java, libmaven-compiler-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libmaven-cobertura-plugin-java, libjcip-annotations-java, libmockito-java, libcanl-java, libbcpkix-java (>= 1.47)
+Standards-Version: 3.9.6
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms-api-java

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # -*- makefile -*-
 
 name = voms-api-java
-version = 3.0.3
+version = 3.0.5
 
 configure: configure-stamp

## voms-api-java 3.1.0

=== debian/changelog ===
voms-api-java (3.1.0-1) unstable; urgency=medium

  * Update to version 3.1.0 - matches canl-java 2.1.x
  * Drop patches: voms-api-java-bc147.patch and -javadoc.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 15 Feb 2016 14:16:44 +0100

voms-api-java (3.0.5-3) unstable; urgency=medium

  * Replace mvn-debian with maven-debian-helper (Closes: #804998)
  * Build using a version of canl-java that was built with the same
    bouncycastle version (Closes: #806920)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 07 Dec 2015 14:41:49 +0100

voms-api-java (3.0.5-2) unstable; urgency=medium

  * Update maven-assembly-plugin and maven-javadoc-plugin versions
    (Closes: #804593)
  * Fix javadoc warnings/errors

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Nov 2015 10:37:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: voms-api-java
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper (>= 1.6.7), maven-repo-helper, junit4, libmaven-assembly-plugin-java, libmaven-compiler-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libmaven-cobertura-plugin-java, libjcip-annotations-java, libmockito-java, libcanl-java, libbcpkix-java (>= 1.47)
+Build-Depends: debhelper (>> 5), maven-debian-helper, libmaven-assembly-plugin-java, libmaven-cobertura-plugin-java, libmaven-compiler-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libjcip-annotations-java, junit4, libhamcrest-java, libmockito-java, libcanl-java
 Standards-Version: 3.9.6
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
@@ -11,7 +11,7 @@
 Package: libvoms-api-java-java
 Section: java
 Architecture: all
-Depends: ${misc:Depends}, libcanl-java, libbcpkix-java (>= 1.47)
+Depends: ${misc:Depends}, libcanl-java
 Replaces: libvomsjapi-java (<< 2.0.7), libvomsjapi-java-gcj (<< 2.0.7)
 Breaks: libvomsjapi-java (<< 2.0.7)
 Provides: libvomsjapi-java

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=maven

override_dh_auto_install:
	PATH=$(CURDIR)/debian:$${PATH} dh_auto_install

## voms-api-java 3.2.0

=== debian/changelog ===
voms-api-java (3.2.0-2) unstable; urgency=medium

  * BuildDepend on maven-debian-helper 2.2 or later
  * Remove workaround for bug #807686 (fixed in maven-debian-helper 2.2)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 29 Jun 2017 16:33:17 +0200

voms-api-java (3.2.0-1) unstable; urgency=medium

  * Update to version 3.2.0 - matches canl-java 2.2.x

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 29 Apr 2016 18:11:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: voms-api-java
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>> 5), maven-debian-helper, libmaven-assembly-plugin-java, libmaven-cobertura-plugin-java, libmaven-compiler-plugin-java, libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libjcip-annotations-java, junit4, libhamcrest-java, libmockito-java, libcanl-java
-Standards-Version: 3.9.6
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: debhelper (>> 9), maven-debian-helper (>= 2.2), libmaven-javadoc-plugin-java, libjcip-annotations-java, junit4, libhamcrest-java, libmockito-java, libcanl-java (>= 2.3.0)
+Standards-Version: 4.0.0
 Section: java
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/voms-api-java
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/voms-api-java
@@ -11,7 +11,7 @@
 Package: libvoms-api-java-java
 Section: java
 Architecture: all
-Depends: ${misc:Depends}, libcanl-java
+Depends: ${misc:Depends}, libcanl-java (>= 2.3.0)
 Replaces: libvomsjapi-java (<< 2.0.7), libvomsjapi-java-gcj (<< 2.0.7)
 Breaks: libvomsjapi-java (<< 2.0.7)
 Provides: libvomsjapi-java

## voms-api-java 3.3.0

=== debian/changelog ===
voms-api-java (3.3.0-2) unstable; urgency=medium

  * Add source version to javadoc configuration

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 19 Feb 2019 19:06:19 +0100

voms-api-java (3.3.0-1) unstable; urgency=medium

  * Update to version 3.3.0 - matches canl-java 2.5.x
  * Drop old Provides/Replaces/Breaks for libvomsjapi-java(-doc)
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 21 Feb 2018 06:56:31 +0100

=== debian/control ===
Source: voms-api-java
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper (>> 9), maven-debian-helper (>= 2.2), libmaven-javadoc-plugin-java, libjcip-annotations-java, junit4, libhamcrest-java, libmockito-java, libcanl-java (>= 2.5.0)
Standards-Version: 4.3.0
Section: java
Vcs-Browser: https://salsa.debian.org/ellert/voms-api-java
Vcs-Git: https://salsa.debian.org/ellert/voms-api-java.git
Homepage: https://wiki.italiangrid.it/VOMS

Package: libvoms-api-java-java
Section: java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Breaks: voms-clients-java (<< 3.3.0)
Description: Virtual Organization Membership Service Java API
 The Virtual Organization Membership Service (VOMS) is an attribute authority
 which serves as central repository for VO user authorization information,
 providing support for sorting users into group hierarchies, keeping track of
 their roles and other attributes in order to issue trusted attribute
 certificates and SAML assertions used in the Grid environment for
 authorization purposes.
 .
 This package provides a java client API for VOMS.

Package: libvoms-api-java-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${maven:DocDepends}
Description: Virtual Organization Membership Service Java API Documentation
 Virtual Organization Membership Service (VOMS) Java API Documentation.

## voms-api-java 3.3.2

=== debian/changelog ===
voms-api-java (3.3.2-6) unstable; urgency=medium

  * Change to debhelper compat level 13

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 13 Dec 2022 11:30:32 +0100

voms-api-java (3.3.2-5) unstable; urgency=medium

  * Disable tests that fail due to more expired certificates

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 13 Dec 2022 09:42:22 +0100

voms-api-java (3.3.2-4) unstable; urgency=medium

  * Disable tests that fail due to expired certificates (Closes: #1021551)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 18 Oct 2022 04:38:55 +0200

voms-api-java (3.3.2-3) unstable; urgency=medium

  * Disable failing multi-thread test
  * Disable tests using obsolete hashes (md5/sha1)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 28 Sep 2022 14:17:44 +0200

voms-api-java (3.3.2-2) unstable; urgency=medium

  * Disable tests failing with bouncycastle 1.71 (Closes: #1011698)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Jun 2022 11:37:23 +0200

voms-api-java (3.3.2-1) unstable; urgency=medium

  * Update to version 3.3.2 - matches canl-java 2.6.x
  * Drop patch voms-api-java-javadoc-source.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 14 Oct 2020 05:44:33 +0200

=== debian/control ===
Source: voms-api-java
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>> 13),
 maven-debian-helper (>= 2.2),
 libmaven-javadoc-plugin-java,
 junit4,
 libhamcrest-java,
 libmockito-java,
 libcanl-java (>= 2.6.0)
Standards-Version: 4.6.1
Section: java
Vcs-Browser: https://salsa.debian.org/ellert/voms-api-java
Vcs-Git: https://salsa.debian.org/ellert/voms-api-java.git
Homepage: https://wiki.italiangrid.it/VOMS

Package: libvoms-api-java-java
Section: java
Architecture: all
Depends:
 ${misc:Depends},
 ${maven:Depends}
Breaks:
 voms-clients-java (<< 3.3.0)
Description: Virtual Organization Membership Service Java API
 The Virtual Organization Membership Service (VOMS) is an attribute authority
 which serves as central repository for VO user authorization information,
 providing support for sorting users into group hierarchies, keeping track of
 their roles and other attributes in order to issue trusted attribute
 certificates and SAML assertions used in the Grid environment for
 authorization purposes.
 .
 This package provides a java client API for VOMS.

Package: libvoms-api-java-java-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${maven:DocDepends}
Description: Virtual Organization Membership Service Java API Documentation
 Virtual Organization Membership Service (VOMS) Java API Documentation.

## voms-api-java 3.3.3

=== debian/changelog ===
voms-api-java (3.3.3-2) unstable; urgency=medium

  * Adapt to change of javadoc output directory (Closes: #1087792)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 21 Nov 2024 21:42:22 +0100

voms-api-java (3.3.3-1) unstable; urgency=medium

  * Update to version 3.3.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 04 Aug 2024 06:33:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,27 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>> 13),
+ debhelper-compat (= 13),
  maven-debian-helper (>= 2.2),
  libmaven-javadoc-plugin-java,
  junit4,
  libhamcrest-java,
+ libguava-java,
  libmockito-java,
  libcanl-java (>= 2.6.0)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: java
 Vcs-Browser: https://salsa.debian.org/ellert/voms-api-java
 Vcs-Git: https://salsa.debian.org/ellert/voms-api-java.git
 Homepage: https://wiki.italiangrid.it/VOMS
 
 Package: libvoms-api-java-java
-Section: java
 Architecture: all
 Depends:
  ${misc:Depends},
  ${maven:Depends}
 Breaks:
- voms-clients-java (<< 3.3.0)
+ voms-clients-java (<< 3.3.3)
 Description: Virtual Organization Membership Service Java API
  The Virtual Organization Membership Service (VOMS) is an attribute authority
  which serves as central repository for VO user authorization information,

## voms-api-java 3.3.5

=== debian/changelog ===
voms-api-java (3.3.5-1) unstable; urgency=medium

  * Update to version 3.3.5
  * Do not run tests
    - some scripts needed for generating the test certificates are missing

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 20 Apr 2025 08:49:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,12 @@
  debhelper-compat (= 13),
  maven-debian-helper (>= 2.2),
  libmaven-javadoc-plugin-java,
- junit4,
- libhamcrest-java,
- libguava-java,
- libmockito-java,
- libcanl-java (>= 2.6.0)
-Standards-Version: 4.7.0
+ libcanl-java (>= 2.8.3)
+Standards-Version: 4.7.2
 Section: java
 Vcs-Browser: https://salsa.debian.org/ellert/voms-api-java
 Vcs-Git: https://salsa.debian.org/ellert/voms-api-java.git
-Homepage: https://wiki.italiangrid.it/VOMS
+Homepage: https://github.com/italiangrid/voms-api-java
 
 Package: libvoms-api-java-java
 Architecture: all
@@ -22,7 +18,7 @@
  ${misc:Depends},
  ${maven:Depends}
 Breaks:
- voms-clients-java (<< 3.3.3)
+ voms-clients-java (<< 3.3.5)
 Description: Virtual Organization Membership Service Java API
  The Virtual Organization Membership Service (VOMS) is an attribute authority
  which serves as central repository for VO user authorization information,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=maven

## voms-api-java 3.3.6

=== debian/changelog ===
voms-api-java (3.3.6-2) unstable; urgency=medium

  * Include upstream's scripts for generating test certificates
  * Enable tests again

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 09 Sep 2025 00:30:26 +0200

voms-api-java (3.3.6-1) unstable; urgency=medium

  * Update to version 3.3.6

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 06 Aug 2025 14:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,12 @@
  debhelper-compat (= 13),
  maven-debian-helper (>= 2.2),
  libmaven-javadoc-plugin-java,
- libcanl-java (>= 2.8.3)
+ libcanl-java (>= 2.8.3),
+ junit4,
+ libhamcrest-java,
+ libmockito-java,
+ faketime,
+ openssl
 Standards-Version: 4.7.2
 Section: java
 Vcs-Browser: https://salsa.debian.org/ellert/voms-api-java
@@ -18,7 +23,7 @@
  ${misc:Depends},
  ${maven:Depends}
 Breaks:
- voms-clients-java (<< 3.3.5)
+ voms-clients-java (<< 3.3.6)
 Description: Virtual Organization Membership Service Java API
  The Virtual Organization Membership Service (VOMS) is an attribute authority
  which serves as central repository for VO user authorization information,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_configure:
	dh_auto_configure
	# Generate test certificates
	( cd src/test/resources ; PATH=$(CURDIR)/helper-scripts/x509-scripts/scripts:$${PATH} ./setup.sh )

%:
	dh $@ --buildsystem=maven

## voms-api-java 3.3.7

=== debian/changelog ===
voms-api-java (3.3.7-1) unstable; urgency=medium

  * Update to version 3.3.7

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 21 Dec 2025 10:15:35 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  ${misc:Depends},
  ${maven:Depends}
 Breaks:
- voms-clients-java (<< 3.3.6)
+ voms-clients-java (<< 3.3.7)
 Description: Virtual Organization Membership Service Java API
  The Virtual Organization Membership Service (VOMS) is an attribute authority
  which serves as central repository for VO user authorization information,
